Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class MessageDestinationRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.MessageDestinationRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDestinationRefType<T>

    public class MessageDestinationRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDestinationRefType<T>

This class implements the `message-destination-refType` xsd type

Original Documentation:

[
The message-destination-ref element contains a declaration
of Deployment Component's reference to a message destination
associated with a resource in Deployment Component's
environment. It consists of:
- an optional description
- the message destination reference name
- an optional message destination type
- an optional specification as to whether
the destination is used for
consuming or producing messages, or both.
if not specified, "both" is assumed.
- an optional link to the message destination
- optional injection targets
The message destination type must be supplied unless an
injection target is specified, in which case the type
of the target is used. If both are specified, the type
must be assignment compatible with the type of the injection
target.
Examples:
jms/StockQueue
javax.jms.Queue
Consumes
CorporateStocks

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MessageDestinationRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MessageDestinationRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<MessageDestinationRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getLookupName()` Returns the `lookup-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getMessageDestinationLink()` Returns the `message-destination-link` element
`java.lang.String` | `getMessageDestinationRefName()` Returns the `message-destination-ref-name` element
`java.lang.String` | `getMessageDestinationType()` Returns the `message-destination-type` element
`MessageDestinationUsageType` | `getMessageDestinationUsage()` Returns the `message-destination-usage` element
`java.lang.String` | `getMessageDestinationUsageAsString()` Returns the `message-destination-usage` element
`InjectionTargetType<MessageDestinationRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`MessageDestinationRefType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDestinationRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`MessageDestinationRefType<T>` | `removeLookupName()` Removes the `lookup-name` element
`MessageDestinationRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`MessageDestinationRefType<T>` | `removeMessageDestinationLink()` Removes the `message-destination-link` element
`MessageDestinationRefType<T>` | `removeMessageDestinationRefName()` Removes the `message-destination-ref-name` element
`MessageDestinationRefType<T>` | `removeMessageDestinationType()` Removes the `message-destination-type` element
`MessageDestinationRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDestinationRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDestinationRefType<T>` | `setLookupName(java.lang.String lookupName)` If not already created, a new `lookup-name` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationLink(java.lang.String messageDestinationLink)` If not already created, a new `message-destination-link` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationRefName(java.lang.String messageDestinationRefName)` If not already created, a new `message-destination-ref-name` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationType(java.lang.String messageDestinationType)` If not already created, a new `message-destination-type` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationUsage(MessageDestinationUsageType messageDestinationUsage)` If not already created, a new `message-destination-usage` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationUsage(java.lang.String messageDestinationUsage)` If not already created, a new `message-destination-usage` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDestinationRefTypeImpl

    public MessageDestinationRefTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node)

### MessageDestinationRefTypeImpl

    public MessageDestinationRefTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node,
                                         org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setLookupName

    public MessageDestinationRefType<T> setLookupName(java.lang.String lookupName)

  If not already created, a new `lookup-name` element with the given value will be created. Otherwise, the existing `lookup-name` element will be updated with the given value.

  Specified by:
    `setLookupName` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### removeLookupName

    public MessageDestinationRefType<T> removeLookupName()

  Removes the `lookup-name` element

  Specified by:
    `removeLookupName` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getLookupName

    public java.lang.String getLookupName()

  Returns the `lookup-name` element

  Specified by:
    `getLookupName` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `lookup-name`

### setMappedName

    public MessageDestinationRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### removeMappedName

    public MessageDestinationRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public MessageDestinationRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### injectionTarget

    public InjectionTargetType<MessageDestinationRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<MessageDestinationRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `MessageDestinationRefType<T>`
  Returns:
    list of `injection-target`

### setDescription

    public MessageDestinationRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### setDescriptionList

    public MessageDestinationRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `MessageDestinationRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDestinationRefType`

### removeAllDescription

    public MessageDestinationRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `MessageDestinationRefType<T>`
  Returns:
    list of `description`

### setMessageDestinationRefName

    public MessageDestinationRefType<T> setMessageDestinationRefName(java.lang.String messageDestinationRefName)

  If not already created, a new `message-destination-ref-name` element with the given value will be created. Otherwise, the existing `message-destination-ref-name` element will be updated with the given value.

  Specified by:
    `setMessageDestinationRefName` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### removeMessageDestinationRefName

    public MessageDestinationRefType<T> removeMessageDestinationRefName()

  Removes the `message-destination-ref-name` element

  Specified by:
    `removeMessageDestinationRefName` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationRefName

    public java.lang.String getMessageDestinationRefName()

  Returns the `message-destination-ref-name` element

  Specified by:
    `getMessageDestinationRefName` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `message-destination-ref-name`

### setMessageDestinationType

    public MessageDestinationRefType<T> setMessageDestinationType(java.lang.String messageDestinationType)

  If not already created, a new `message-destination-type` element with the given value will be created. Otherwise, the existing `message-destination-type` element will be updated with the given value.

  Specified by:
    `setMessageDestinationType` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### removeMessageDestinationType

    public MessageDestinationRefType<T> removeMessageDestinationType()

  Removes the `message-destination-type` element

  Specified by:
    `removeMessageDestinationType` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationType

    public java.lang.String getMessageDestinationType()

  Returns the `message-destination-type` element

  Specified by:
    `getMessageDestinationType` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `message-destination-type`

### setMessageDestinationUsage

    public MessageDestinationRefType<T> setMessageDestinationUsage(MessageDestinationUsageType messageDestinationUsage)

  If not already created, a new `message-destination-usage` element with the given value will be created. Otherwise, the existing `message-destination-usage` element will be updated with the given value.

  Specified by:
    `setMessageDestinationUsage` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### setMessageDestinationUsage

    public MessageDestinationRefType<T> setMessageDestinationUsage(java.lang.String messageDestinationUsage)

  If not already created, a new `message-destination-usage` element with the given value will be created. Otherwise, the existing `message-destination-usage` element will be updated with the given value.

  Specified by:
    `setMessageDestinationUsage` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationUsage

    public MessageDestinationUsageType getMessageDestinationUsage()

  Returns the `message-destination-usage` element

  Specified by:
    `getMessageDestinationUsage` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `message-destination-usage`

### getMessageDestinationUsageAsString

    public java.lang.String getMessageDestinationUsageAsString()

  Returns the `message-destination-usage` element

  Specified by:
    `getMessageDestinationUsageAsString` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `message-destination-usage`

### setMessageDestinationLink

    public MessageDestinationRefType<T> setMessageDestinationLink(java.lang.String messageDestinationLink)

  If not already created, a new `message-destination-link` element with the given value will be created. Otherwise, the existing `message-destination-link` element will be updated with the given value.

  Specified by:
    `setMessageDestinationLink` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### removeMessageDestinationLink

    public MessageDestinationRefType<T> removeMessageDestinationLink()

  Removes the `message-destination-link` element

  Specified by:
    `removeMessageDestinationLink` in interface `MessageDestinationRefType<T>`
  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationLink

    public java.lang.String getMessageDestinationLink()

  Returns the `message-destination-link` element

  Specified by:
    `getMessageDestinationLink` in interface `MessageDestinationRefType<T>`
  Returns:
    the node defined for the element `message-destination-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD